# Some Sass mixins for your needs

Take what you need!

### This repository has some Sass-Mixins for you:

* [animation](partials/_animation.scss)
* [appearance](partials/_appearance.scss)
* [background-size](partials/_background-size.scss)
* [border-radius](partials/_border-radius.scss)
* [box-shadow](partials/_box-shadow.scss)
* [box-sizing](partials/_box-sizing.scss)
* [calc](partials/_calc.scss)
* [flexbox](partials/_flexbox.scss)
* [linear-gradient](partials/_linear-gradient.scss)
* [multiple-backgrounds](partials/_multiple-backgrounds.scss)
* [multiple-colored-gradient](partials/_multiple-colored-gradient.scss)
* [opacity](partials/_opacity.scss)
* [placeholder](partials/_placeholder.scss)
* [rem](partials/_rem.scss)
* [transform](partials/_transform.scss)
* [transition](partials/_transition.scss)
* [tab-size](partials/_tab-size.scss)
* [user-select](partials/_user-select.scss)

Documentation on how to use each of these can be found in the partials.

### General Usage

In general you should include the file `mixins.scss` in `build` into your
project and use the mixins as suggested in the docs for each mixin.

#### Install with Bower

You can install the package using [Bower](http://bower.io/). Please run

	$ bower install --save-dev sass-mixins

in your project's root directory to install the mixins repository. After that
you can require the mixins file within your project.

## Contribute

Please [file an issue](https://github.com/drublic/Sass-Mixins/issues) if you
think something could be improved. Please submit Pull Requests when ever
possible.

## Up the road

* radial-gradient
* Mixin that generates grids

## Thanks

Thanks to @Schepp for starting [a similar repo](https://github.com/Schepp/SASS-Mixins).

## License

[The MIT License](LICENSE.md)
